This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 863468 - osinfo udev rules are broken
osinfo udev rules are broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libosinfo (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 10:32 EDT by David Zeuthen
Modified: 2013-03-05 23:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-12 11:16:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2012-10-05 10:32:11 EDT
The udev rules for detecting OS'es are too complicated and they also don't work when detecting OS'es on e.g. a loop device. For example, the stuff about DISK_MEDIA_CHANGE is kinda wrong 

The latter is pretty annoying as the default action in F18 for an .ISO file is to loopback mount it - as a result the user is presented with "Open with Files" instead of "Open with Boxes".

All you need is this simple rule

 SUBSYSTEM=="block", ACTION=="add|change", ENV{ID_FS_TYPE}=="iso9660|udf", IMPORT{program}="/usr/bin/osinfo-detect -f env $tempnode"
Comment 1 Christophe Fergeau 2012-10-08 09:58:37 EDT
Forwarded this change upstream https://www.redhat.com/archives/virt-tools-list/2012-October/msg00057.html
Comment 2 Cole Robinson 2013-02-12 11:16:20 EST
This was applied upstream and is in F18/rawhide

Note You need to log in before you can comment on or make changes to this bug.